# H4507Handler Class Reference

`#include <h450pdu.h>`

Inheritance diagram for H4507Handler:

[legend]
Collaboration diagram for H4507Handler:
[legend]

## Public Types

| e_mwi_Idle
| e_mwi_Invoked
enum | State { e_mwi_Idle, e_mwi_Invoked }

## Public Member Functions

| H4507Handler (H323Connection &connection, H450xDispatcher &dispatcher)
virtual PBoolean | OnReceivedInvoke (int opcode, int invokeId, int linkedId, PASN_OctetString *argument)
virtual void | AttachToSetup (H323SignalPDU &setupPDU, H4507_H323_MWI_Operations &mwiOp, PASN_Sequence &argument)
virtual void | AttachInterrogateResultToPdu (H323SignalPDU &pdu, H4507_MWIInterrogateRes &interrogateResult)
virtual void | AttachErrorToPdu (H323SignalPDU &pdu, H4507_MessageWaitingIndicationErrors error)
State | GetState () const

## Protected Attributes

State | mwiState

## Member Enumeration Documentation

enum H4507Handler::State

Sub-state for message waiting.

Enumerator:

  e_mwi_Idle |
  e_mwi_Invoked |

## Constructor & Destructor Documentation

H4507Handler::H4507Handler | ( | H323Connection & | connection,
|  | H450xDispatcher & | dispatcher |
| ) |  |  |

## Member Function Documentation

virtual void H4507Handler::AttachErrorToPdu | ( | H323SignalPDU & | pdu,
|  | H4507_MessageWaitingIndicationErrors | error |
| ) |  |  | `[virtual]`

virtual void H4507Handler::AttachInterrogateResultToPdu | ( | H323SignalPDU & | pdu,
|  | H4507_MWIInterrogateRes & | interrogateResult |
| ) |  |  | `[virtual]`

Attach a message waiting Interrogate return result APDU to the passed PDU.

virtual void H4507Handler::AttachToSetup | ( | H323SignalPDU & | setupPDU,
|  | H4507_H323_MWI_Operations & | mwiOp,
|  | PASN_Sequence & | argument |
| ) |  |  | `[virtual]`

Attach a message waiting APDU to the passed in Setup PDU.

State H4507Handler::GetState | ( |  | ) | const`[inline]`

virtual PBoolean H4507Handler::OnReceivedInvoke | ( | int | opcode,
|  | int | invokeId,
|  | int | linkedId,
|  | PASN_OctetString * | argument |
| ) |  |  | `[virtual]`

Parameters:

  linkedId | InvokeId of operation (used in response)
  argument | InvokeId of associated operation (if any) Parameters for the initiate operation

Implements H450xHandler.

## Field Documentation

State H4507Handler::mwiState `[protected]`

The documentation for this class was generated from the following file:

- h450pdu.h